---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "coderd_group Resource - terraform-provider-coderd"
subcategory: ""
description: |-
  A group on the Coder deployment.
  Creating groups requires an Enterprise license.
  When importing, the ID supplied can be either a group UUID retrieved via the API or <organization-name>/<group-name>.
---

# coderd_group (Resource)

A group on the Coder deployment.

Creating groups requires an Enterprise license.

When importing, the ID supplied can be either a group UUID retrieved via the API or `<organization-name>/<group-name>`.

## Example Usage

```terraform
// Provider populated from environment variables
provider "coderd" {}

resource "coderd_user" "coder1" {
  username = "coder1"
  name     = "Coder One"
  email    = "coder1@coder.com"
}

resource "coderd_user" "coder2" {
  username = "coder2"
  name     = "Coder One"
  email    = "coder2@coder.com"
}

// Add two users to the group by their ID.
resource "coderd_group" "group1" {
  name = "group1"
  members = [
    coderd_user.coder1.id,
    coderd_user.coder2.id
  ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) The unique name of the group.

### Optional

- `avatar_url` (String) The URL of the group's avatar.
- `display_name` (String) The display name of the group. Defaults to the group name.
- `members` (Set of String) Members of the group, by ID. If null, members will not be added or removed by Terraform. To have a group resource with unmanaged members, but be able to read the members in Terraform, use `data.coderd_group`
- `organization_id` (String) The organization ID that the group belongs to. Defaults to the provider default organization ID.
- `quota_allowance` (Number) The number of quota credits to allocate to each user in the group.

### Read-Only

- `id` (String) Group ID.
